[arch-commits] Commit in acpid/repos (4 files)

Thayer Williams thayer at archlinux.org
Thu Jan 28 14:07:07 EST 2010


    Date: Thursday, January 28, 2010 @ 14:07:07
  Author: thayer
Revision: 65395

Merged revisions 65394 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/acpid/trunk

........
  r65394 | thayer | 2010-01-28 11:06:34 -0800 (Thu, 28 Jan 2010) | 2 lines
  
  upgpkg: acpid 1.0.10-2
      added ACPID_ARGS conf file--courtesy of sepo
........

Added:
  acpid/repos/extra-i686/acpid.conf.d
    (from rev 65394, acpid/trunk/acpid.conf.d)
Modified:
  acpid/repos/extra-i686/	(properties)
  acpid/repos/extra-i686/PKGBUILD
  acpid/repos/extra-i686/acpid

--------------+
 PKGBUILD     |   11 +++++++----
 acpid        |    4 +++-
 acpid.conf.d |    6 ++++++
 3 files changed, 16 insertions(+), 5 deletions(-)


Property changes on: acpid/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /acpid/trunk:1-36514
   + /acpid/trunk:1-65394

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2010-01-28 19:06:34 UTC (rev 65394)
+++ extra-i686/PKGBUILD	2010-01-28 19:07:07 UTC (rev 65395)
@@ -1,11 +1,11 @@
 # $Id$
+# Maintainer: Thayer Williams <thayer at archlinux.org>
 # Contributor: Manolis Tzanidakis
 # Contributor: Judd Vinet <jvinet at zeroflux.org>
-# Maintainer: Thayer Williams <thayer at archlinux.org>
 
 pkgname=acpid
 pkgver=1.0.10
-pkgrel=1
+pkgrel=2
 pkgdesc="A daemon for delivering ACPI power management events"
 arch=('i686' 'x86_64')
 url="http://acpid.sourceforge.net"
@@ -13,11 +13,13 @@
 depends=(glibc)
 source=(http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz
     acpid
+    acpid.conf.d
     anything
     handler.sh)
-backup=('etc/acpi/handler.sh' 'etc/acpi/events/anything')
+backup=('etc/acpi/handler.sh' 'etc/acpi/events/anything' 'etc/conf.d/acpid')
 md5sums=('61156ef32015c56dc0f2e3317f4ae09e'
-         '15903690f1bae4b3b0625b369de65521'
+         'f9af358de5c6191648f6c9ee3cba6cbc'
+         '91fdb3709c878eed757d192a420251a1'
          '2d37b98d6e74bab815604b8b48c6cfd4'
          '0e8dd13793b1baa79a745f4034888367')
 
@@ -30,6 +32,7 @@
 
     # install our supplementary scripts
     /bin/install -D -m0755 $srcdir/acpid $pkgdir/etc/rc.d/acpid || return 1
+    /bin/install -D -m0644 $srcdir/acpid.conf.d $pkgdir/etc/conf.d/acpid || return 1
     /bin/install -D -m0644 $srcdir/anything $pkgdir/etc/acpi/events/anything || return 1
     /bin/install -D -m0755 $srcdir/handler.sh $pkgdir/etc/acpi/handler.sh || return 1
 

Modified: extra-i686/acpid
===================================================================
--- extra-i686/acpid	2010-01-28 19:06:34 UTC (rev 65394)
+++ extra-i686/acpid	2010-01-28 19:07:07 UTC (rev 65395)
@@ -3,11 +3,13 @@
 . /etc/rc.conf
 . /etc/rc.d/functions
 
+[ -f /etc/conf.d/acpid ] && /etc/conf.d/acpid
+
 PID=`pidof -o %PPID /usr/sbin/acpid`
 case "$1" in
   start)
     stat_busy "Starting acpid"
-    [ -z "$PID" ] && /usr/sbin/acpid
+    [ -z "$PID" ] && /usr/sbin/acpid $ACPID_ARGS
     if [ $? -gt 0 ]; then
       stat_fail
     else

Copied: acpid/repos/extra-i686/acpid.conf.d (from rev 65394, acpid/trunk/acpid.conf.d)
===================================================================
--- extra-i686/acpid.conf.d	                        (rev 0)
+++ extra-i686/acpid.conf.d	2010-01-28 19:07:07 UTC (rev 65395)
@@ -0,0 +1,6 @@
+#
+# Arguments to be passed to the acpid daemon
+#
+
+ACPID_ARGS=""
+



More information about the arch-commits mailing list